Citrix Virtual Apps and Desktops Service

Mise à niveau

Avis important sur la mise à niveau de VDA

Si le composant Personal vDisk (PvD) a déjà été installé sur un VDA, ce VDA ne peut pas être mis à niveau vers la version 1912 LTSR ou ultérieure. Pour utiliser le nouveau VDA, vous devez désinstaller le VDA actuel, puis installer le nouveau VDA.

Cette instruction s’applique même si vous n’avez jamais utilisé PvD.

Déterminer si vous êtes concerné

Comment PvD a pu être installé dans les versions antérieures :

  • Dans l’interface graphique du programme d’installation du VDA, PvD était une option sur la page Composants supplémentaires. Les versions 7.15 LTSR et 7.x antérieures activait cette option par défaut. Donc, si vous avez accepté les valeurs par défaut (ou activé explicitement l’option dans n’importe quelle version), PvD a été installé.
  • Sur la ligne de commande, l’option /baseimage installait PvD. Si vous avez spécifié cette option ou utilisé un script contenant cette option, PvD a été installé.

Si vous ne savez pas si PvD est installé sur votre VDA, exécutez le programme d’installation du nouveau VDA (1912 LTSR ou version ultérieure) sur la machine ou l’image.

  • Si PvD est installé, un message s’affiche indiquant qu’il existe un composant incompatible.
    • Pour l’interface graphique, cliquez sur Annuler sur la page contenant le message, puis confirmez que vous souhaitez fermer le programme d’installation.
    • À partir de l’interface de ligne de commande, la commande échoue simplement avec l’affichage du message.
  • Si PvD n’est pas installé, la mise à niveau se poursuit.

Que faire

Si PvD n’est pas installé sur le VDA, suivez la procédure de mise à niveau habituelle.

Si PvD est installé sur le VDA :

  1. Désinstallez le VDA actuel. Pour plus de détails, consultez Supprimer des composants.
  2. Installez le nouveau VDA.

Si vous souhaitez continuer à utiliser PvD sur vos machines Windows 7 ou Windows 10 (1607 et versions antérieures, sans mises à jour), le VDA 7.15 LTSR est la dernière version prise en charge.

Introduction

Citrix conserve tous les composants du service Citrix Virtual Apps et Desktops dans votre déploiement à l’exception des VDA.

Pour mettre à niveau un VDA, il vous suffit de télécharger le programme d’installation (comme vous l’avez fait pour l’installer) et de l’exécuter sur la machine ou l’image. Vous pouvez utiliser l’interface graphique du programme d’installation ou l’interface de ligne de commande.

Si vous avez installé le VDA à l’aide du programme d’installation VDAWorkstationCoreSetup.exe, cette configuration sera conservée si vous le mettez à niveau avec la dernière version du même programme d’installation. Si vous exécutez le programme d’installation VDAWorkstationSetup.exe sur cette machine, vous pouvez activer les fonctionnalités qui ne sont pas prises en charge dans le programme d’installation VDAWorkstationCoreSetup.exe. (N’oubliez pas que certaines de ces fonctionnalités peuvent être activées par défaut dans le programme d’installation VDAWorkstationSetup.exe.) Vous aurez également la possibilité d’installer application Citrix Workspace.

Un redémarrage se produit lors de la mise à niveau d’un VDA vers la version 7.17 ou une version ultérieure prise en charge. Cela ne peut pas être évité. La mise à niveau reprend automatiquement après le redémarrage (sauf si vous spécifiez /noresume sur la ligne de commande).

Une fois les VDA mis à niveau, mettez à jour les images principales et les catalogues qui utilisent ce VDA.

En savoir plus sur les changements de nom de produit.

Systèmes d’exploitation antérieurs

Pour les machines dont les systèmes d’exploitation ne sont plus pris en charge et ne permettent pas d’installer le dernier VDA (tels que Windows 7 et Windows Server 2008 R2), vous disposez de plusieurs options.

  • Créez une nouvelle image de la machine sur une version prise en charge de Windows, puis installez le nouveau VDA.
  • Si réimager la machine n’est pas une option mais que vous voulez mettre à niveau le système d’exploitation, désinstallez le VDA avant la mise à niveau du système d’exploitation. Sinon, le VDA sera dans un état non pris en charge. Installez ensuite le nouveau VDA.
  • Si vous voulez continuer à utiliser des machines avec un système d’exploitation qui n’est plus pris en charge pour le VDA 7.16 ou version ultérieure, XenApp et XenDesktop 7.15 LTSR est la dernière version de VDA prise en charge pour Windows 7 et Windows Server 2008 R2.
    • Si la version 7.15 LTSR est installée sur la machine (et vous tentez d’installer une version plus récente), un message vous informe que vous utilisez la dernière version prise en charge.
    • Si une version antérieure à LTSR 7.15 est installée sur la machine, un message vous renvoie à l’article CTX139030 pour plus d’informations. Vous pouvez télécharger la version VDA 7.15 LTSR à partir du site Web de Citrix.

Plus d’informations

Mise à niveau